# BaseGoogleChartData Class Reference

Inheritance diagram for BaseGoogleChartData:
[legend]

List of all members.

## Public Member Functions

| setEncoding (GoogleChartDataEncoding $encoding)

## Static Public Member Functions

static | create ()

## Protected Attributes

| $encoding = null

## Detailed Description

Definition at line 15 of file BaseGoogleChartData.class.php.

## Member Function Documentation

static BaseGoogleChartData::create | ( |  | ) | `[static]`

Returns:
  BaseGoogleChartData

Reimplemented in GoogleChartData.

Definition at line 22 of file BaseGoogleChartData.class.php.

BaseGoogleChartData::setEncoding | ( | GoogleChartDataEncoding $ | encoding | ) |

Returns:
  BaseGoogleChartData

Definition at line 30 of file BaseGoogleChartData.class.php.

## Member Data Documentation

BaseGoogleChartData::$encoding = null`[protected]`

Definition at line 17 of file BaseGoogleChartData.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/BaseGoogleChartData.class.php